Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.http
Class HttpClientFactory

    java.lang.Object
      org.jboss.soa.esb.http.HttpClientFactory

    public abstract class HttpClientFactory

extends java.lang.Object

`HttpClient` factory class.

Author:
  tom.fennelly@jboss.com

Field Summary
`static java.lang.String` | `MAX_TOTAL_CONNECTIONS` Max total connections.
`static java.lang.String` | `TARGET_HOST_URL` Target host url.

Constructor Summary
`HttpClientFactory()`

Method Summary
`static org.apache.commons.httpclient.HttpClient` | `createHttpClient(java.util.Properties properties)` Factory method for creating the `HttpClient` instance.
`static void` | `shutdown(org.apache.commons.httpclient.HttpClient httpclient)` Shutdown http client and associated connections.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TARGET_HOST_URL

    public static final java.lang.String TARGET_HOST_URL

  Target host url.

  See Also:
    Constant Field Values

### MAX_TOTAL_CONNECTIONS

    public static final java.lang.String MAX_TOTAL_CONNECTIONS

  Max total connections.

  See Also:
    Constant Field Values

Constructor Detail

### HttpClientFactory

    public HttpClientFactory()

Method Detail

### createHttpClient

    public static org.apache.commons.httpclient.HttpClient createHttpClient(java.util.Properties properties)
                                                                     throws ConfigurationException

  Factory method for creating the `HttpClient` instance.

  Parameters:
    `properties` - `HttpClient` creation properties.
  Returns:
    The `HttpClient` instance.
  Throws:
    `ConfigurationException` - Invalid configuration properties set.

### shutdown

    public static void shutdown(org.apache.commons.httpclient.HttpClient httpclient)

  Shutdown http client and associated connections.

  Parameters:
    `httpclient` - The http client

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD